Bug Hunting Session
Bug 32248 - FILEOPEN: SVG: add support for <tspan> elements inside <text>
Summary: FILEOPEN: SVG: add support for <tspan> elements inside <text>
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: All All
: high minor
Assignee: Xisco Faulí
URL:
Whiteboard: target:5.2.0
Keywords:
: 33161 37994 39599 63676 64006 68682 69638 70739 72246 72422 74842 78734 80616 90170 97091 99129 (view as bug list)
Depends on:
Blocks: SVG-Open
  Show dependency treegraph
 
Reported: 2010-12-08 22:36 UTC by grigoreflorin1985
Modified: 2018-06-20 17:03 UTC (History)
43 users (show)

See Also:
Crash report or crash signature:


Attachments
svg text only that give the bug on RC1 (2.32 KB, image/svg+xml)
2010-12-08 22:36 UTC, grigoreflorin1985
Details
screenshot of both test files inserted in writer (23.22 KB, image/png)
2014-05-03 19:06 UTC, Christina Rossmanith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description grigoreflorin1985 2010-12-08 22:36:45 UTC
Created attachment 40940 [details]
svg text only that give the bug on RC1

I have tested in Gimp same SVG with only TEXT (some paragraphs) exported clean from Inkscape , in Gimp loads flawless, in Inkscape loads flawless and in LibreOffice no text apears.

I need SVG text to be imported and editable like other SVG shapes in particular that LibreOffice it is an Office tools for writen documents , so this it is a Bloker if not fixed until major release.


There I upload the test SVG file that loads perfectly in other svg importing apps notable : gimp 2.6.11 , inkscape (dev version december)..etc
Comment 1 Yifan Jiang 2010-12-08 22:50:38 UTC
Ye...this is an issue for some time. Thanks for reporting.

Thorsten, would you have a review? It should be there since at least 3.2.1, if I remember it right. So not a regression.
Comment 2 grigoreflorin1985 2010-12-08 23:19:02 UTC
I`m glad i can help :)
Comment 3 Thorsten Behrens (CIB) 2010-12-10 03:54:57 UTC
Yeah, indeed a problem. Does not happen for most of the openclipart svgs, thus reducing severity (see https://bugs.freedesktop.org/page.cgi?id=fields.html#importance for the scale). There's a native renderer for svg in the making, that should solve this (and many more) problems,
Comment 4 Kurosawa Takeshi 2011-01-26 04:16:30 UTC
*** Bug 33161 has been marked as a duplicate of this bug. ***
Comment 5 Jürgen Sauer 2011-03-07 00:41:54 UTC
This "SVG is Drawn without Text" is also hitting us.
Our Logo (SVG Design by Inkscape saved as Standard SVG) is drwan wrong:
http://www.automatix.de/cms/index.php/Datei:AutomatiX-Logo.svg

Imported to LibreOffice Writer the text is missing. :(
But imported into the Draw Module all seems to be correct.
This File show the wrong way:
http://www.automatix.de/cms/index.php/Datei:Wrong-SVG-Import-to-LibreOffice_Writer.odt
This File shows the correct way in Draw:
http://www.automatix.de/cms/index.php/Datei:AutomatiX-Logo-correct-import-to-draw.odg

I hope I could help stomething.
You can take this files for testing :)
Comment 6 Jürgen Sauer 2011-03-07 00:44:34 UTC
(In reply to comment #5)
Belong to Version: LibreOffice 3.3.1 
OOO330m19 (Build:8)
tag libreoffice-3.3.1.2, Ubuntu package 1:3.3.1-1ubuntu3~lucid2
Comment 7 Carl Michal 2011-07-22 16:16:54 UTC
I've looked a number of SVG files where text does import and others where it doesn't and think I've found the common denominator. It looks like text within tspan elements is thrown away. tspan is described here: http://www.w3.org/TR/SVG/text.html#TSpanElement

and it looks like recent versions of inkscape (and gnuplot) put text into tspan elements by default. It seems like this should not be horribly difficult to implement at least the x, y, dx, dy and rotate properties of tspan - since those should already be implemented for the base text element?

Taking the text that is missing from the broken svg files attached to this bug out of tspan elements and putting them into the parent text element manually allows them to be rendered in libreoffice draw (both the bugtest attachment above and the automatix logo).
Comment 8 Carl Michal 2011-07-22 16:46:24 UTC
ok - spoke a little too quickly.  The problem with gnuplot's text is different.
gnuplot produces text that looks like this:

	<g transform="translate(45.6,405.8)"  style="stroke:none; fill:black; font-family:Arial; font-size:12.00pt; text-anchor:end">
		<text> 10</text>
	</g>

which appears to be thrown away because there are no explicit coordinates given.  If the <text> is replaced with <text x="0" y="0"> then the text renders (in almost, but not quite, the right place - looks like the end alignment is ignored).
Comment 9 Rainer Bielefeld Retired 2011-07-27 08:24:02 UTC
We have some similar bugs with similar results for me (Seamonkey and OOo show text, LibO not:
Bug 39554 - Insert->Picture->From File... *.SVG not correctly
Bug 39599 - EDITING, FILEOPEN SVG TEXT INKSCAPE
Bug 37994 - Wrong import of SVG files

We should try to get some order into this issue.
Comment 10 maressyl 2013-01-21 09:56:39 UTC
Still happening in 3.6.4.3 on Windows XP SP3 32 bits.
Comment 11 ign_christian 2013-06-19 06:54:32 UTC
*** Bug 39599 has been marked as a duplicate of this bug. ***
Comment 12 ign_christian 2013-06-19 06:57:37 UTC
Change component to: Drawing

Confirming still reproducible on LO 4.0.4.2 (Win7 32bit)
Comment 13 bfoman (inactive) 2013-07-25 13:17:49 UTC
Checked with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Could not reproduce. Both bugtest.svg, AutomatiX-Logo.svg are displayed correctly in Writer and Draw.
Comment 14 Thorsten Behrens (CIB) 2013-09-12 16:14:48 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 15 Julien Nabet 2013-11-15 21:22:35 UTC
On pc Debian x86-64 with master sources updated today, here's what I got by using Draw:
1) with Automatix-Logo.svg, I can see the logo but not the text bellow.

console logs:
warn:xmloff.core:16464:1:xmloff/source/core/xmlimp.cxx:726: SvXMLImport::endElement: popped context has wrong prefix
warn:xmloff.core:16464:1:xmloff/source/core/xmlimp.cxx:726: SvXMLImport::endElement: popped context has wrong prefix
warn:legacy.osl:16464:1:svx/source/sdr/contact/viewcontactofsdrpathobj.cxx:67: PolyPolygon object without geometry detected, this should not be created (!)


2) with bugtext shows nothing and same console logs:
warn:xmloff.core:16464:1:xmloff/source/core/xmlimp.cxx:726: SvXMLImport::endElement: popped context has wrong prefix
warn:xmloff.core:16464:1:xmloff/source/core/xmlimp.cxx:726: SvXMLImport::endElement: popped context has wrong prefix
Comment 16 Jon Grossart 2013-11-26 07:03:10 UTC
In Inkscape, try converting from Flowed Text to either:

1) Text > Convert to Text (requires the font to be present on the system to render correctly)
or
2) Convert object to paths (bigger file size, will always render correctly)

I've fixed importing with no text by doing these things. FlowedText is Inkscape specific and not part of SVG spec.
Comment 17 Regina Henschel 2013-12-03 19:28:00 UTC
The text is there, if you insert the *.svg image into a Draw document, but it is missing, if you use File > Open. This is a LO only problem, in AOO the text is there also in case of File > Open.
Comment 18 Regina Henschel 2013-12-03 20:05:22 UTC
*** Bug 72246 has been marked as a duplicate of this bug. ***
Comment 19 David Gerard 2013-12-03 21:33:51 UTC
Just to note to those watching that SVG import works fine in AOO - but fails in LO. This is a bug where LO is visibly falling down. See attachments to bug 72246.
Comment 20 Owen Genat (retired) 2013-12-08 10:21:56 UTC
*** Bug 68682 has been marked as a duplicate of this bug. ***
Comment 21 retired 2013-12-09 10:53:50 UTC
Confirming Reginas observation. If opened with Impress nothing is visible. If opened via menu Insert > Image > From file svg shows fine.

OS X 10.9, LO 4.3 Version: 4.3.0.0.alpha0+
Build ID: 5e01904de993caa3d497a8f6c82a846336e70eef
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2013-12-06_02:05:01
and 4.1.3.2
adding whiteboard status for both.
Comment 22 retired 2013-12-09 11:09:51 UTC
*** Bug 37994 has been marked as a duplicate of this bug. ***
Comment 23 retired 2013-12-09 11:25:02 UTC
*** Bug 69638 has been marked as a duplicate of this bug. ***
Comment 24 retired 2013-12-09 11:27:31 UTC
*** Bug 70739 has been marked as a duplicate of this bug. ***
Comment 25 Björn Michaelsen 2014-01-17 00:43:46 UTC Comment hidden (obsolete)
Comment 26 Gerry 2014-01-28 21:56:37 UTC
In reply to Regina's comment 17: Can anyone have a look which commit in AOO actually solved the problem of missing text in SVG graphics. Couldn't this fix be ported to LibreOffice?
Comment 27 Julien Nabet 2014-02-01 10:55:15 UTC
Marco/Christina: reading http://nabble.documentfoundation.org/SVG-tspan-td3953675.html, I thought you might be interested in this tracker.
Comment 28 Julien Nabet 2014-02-11 18:14:10 UTC
*** Bug 74842 has been marked as a duplicate of this bug. ***
Comment 29 inpost 2014-02-18 11:44:36 UTC
(In reply to comment #21)
> Confirming Reginas observation. If opened with Impress nothing is visible.
> If opened via menu Insert > Image > From file svg shows fine.
> 

Have observed that if svg file created from another program (e.g. dia), using the menu bar options insert|image|fromfile, the svg does _not_ show OK: vector lines are visible, but text is _not_ visible.

Also, after a quick search, this seems related/duplicate of to: 40177; 45771; 37650; 39554.
Comment 30 Christina Rossmanith 2014-05-03 19:06:48 UTC
Created attachment 98382 [details]
screenshot of both test files inserted in writer

The screenshot shows both test files inserted into a writer document (not File -> Open !). All text is dispayed correctly.

Version: 4.3.0.0.alpha1+
Build ID: 66c3d569187c4cef80b9c46ce216a8b2af0ebf02
Linux
Comment 31 Gerry 2014-05-04 07:20:19 UTC
I tried to verify Christina's success in comment 30 with a recent nightly build, but I get completely different problems:

On Insert->Image of an SVG. The file from the attachment inserts only the text, but not the logo. With another SVG file, LO crashes.

On File -> Open the SVG, I get the error message: "General Error. General input/output error."

Shall I file another bug report for this or is this problem known in current LibreOffice nightly?

Version: 4.3.0.0.alpha1+
Build ID: 20778b037c688759a4dc46acb8aeb66c9d1290cc
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-03_23:16:12
In VirtualBox on Windows XP.
Comment 32 retired 2014-05-04 11:45:02 UTC
This is a bug with long history and mixed observations on platforms / LO versions.

My tests:

4.2.3.3: Writer + Impress menu Insert > Image > From file import the svg perfectly fine. It shows and all text displayes and is readable.

Version: 4.3.0.0.alpha1+
Build ID: f76026a43acc65465882924796d93e635c35fd90
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-05-04_06:32:55
When menu > insert > image > from file, I see the spinning psycho pizza of death (osx) for a while but then the dialogue does open and I can insert the svg just fine.
same with impress (guess they share the same code at that place).

So WORKSFORME.

Should I have missed something please re-open and specify exactly what is not working in which environment for you.

@Gerry: since Christina was able to test successfully on Linux and things are working for me on OS X (with fresh release as well as latest nightly from today) I suggest to file any remaining problems as a new bug (one problem per bug). Attach the svg in question to make sure, issues can be reproduced.
Comment 33 retired 2014-05-04 11:45:55 UTC
Gerry: side note on XP: that beast is EOL (thankfully) so I suggest creating a new VirtualMachine with Win8.1 or such.
Comment 34 Gerry 2014-05-04 20:20:57 UTC
I reopen this bug, because the bug is about the problem that File->Open an SVG does not import the SVG text. Unfortunately, this problem is not solved.

To summarize the problem, I quote Regina from comment 17:

"The text is there, if you insert the *.svg image into a Draw document, but it is missing, if you use File > Open. This is a LO only problem, in AOO the text is there also in case of File > Open."

BTW, only via Open->File, the SVG is fully editable in LO. Being able to properly "open" an SVG is important.
Comment 35 David Gerard 2014-05-04 20:32:39 UTC
Indeed. There's quite a lot of duplicates to this bug, most of which have example attachments, to check against before closing this "WORKSFORME".
Comment 36 Christina Rossmanith 2014-05-04 20:45:06 UTC
Gerry, if you insert a svg in draw and select "break" from the context menu it is editable. 

There has been a problem with breaking the graphic such that parts of the graphic disappear after breaking. But with my recent build this problem does not exist anymore. However I can't tell which commit fixed this bug.
Comment 37 Regina Henschel 2014-05-04 21:27:41 UTC
I've got Version: 4.3.0.0.alpha1+
Build ID: f76026a43acc65465882924796d93e635c35fd90
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-04_06:34:33
And there it is not fixed.
Comment 38 Kevin Suo 2014-07-18 17:16:39 UTC
Hi all,
I see bug 78554 was fixed, it has very simila summary as this one. Does the commit in 78554 fix this one also?
Comment 39 retired 2014-07-18 18:21:47 UTC
LO 4.3RC2 only shows text but no logo. Am I supposed to see a logo? Not a lot of time and can't seem to figure out, how to import svg files to word.
Comment 40 Regina Henschel 2014-07-18 22:56:25 UTC
No it is not fixed. The text is still missing when opened with Version: 4.4.0.0.alpha0+
Build ID: 4011b74eb7650a0eeb99d3acebb9ef60b0fcaab9
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-18_03:54:18
on Windows 7 32bit

Please be careful in verifying. The issue is about opening via File > Open, not about insert.
Comment 41 Owen Genat (retired) 2014-07-19 08:44:58 UTC
(In reply to comment #40)
> Please be careful in verifying. The issue is about opening via File > Open,
> not about insert.

Also confirmed under Crunchbang linux 11 x86_64 using v4.4.0.0.alpha0+ Build ID: 3fdd4f069d5436cf39708004af7fda8175fbc4c2 (deb 2014-07-09). No text is displayed in Draw via File > Open.
Comment 42 Xisco Faulí 2014-07-24 15:11:18 UTC
This issue is still reproducible by File > Open with

Version: 4.3.1.0.0+
Build ID: 0d5d8c22f7be41d408d8ee4012ef1a6f4368423e
TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-3, Time: 2014-07-23_05:34:04
Comment 43 Jorendc 2014-07-24 19:54:58 UTC
*** Bug 64006 has been marked as a duplicate of this bug. ***
Comment 44 Joel Madero 2014-07-28 16:14:50 UTC
REOPENED is not the correct status as this is only used by developers when a bug is assigned. Setting to NEW

Also this is not a Major bug - it does not prevent high quality work (as there is a workaround from what I can see in the comments).

MAJOR is loss of data/crash that there is no workaround for, here if you go to insert it seems like the text is imported.

Please don't change the severity or priority again. Thanks
Comment 45 Joel Madero 2014-07-28 16:15:40 UTC
Sorry for the noise - upping to High because of the # of duplicates (minor because there is the workaround, can slow down high quality/professional work but won't prevent it)
Comment 46 QA Administrators 2014-10-23 17:32:05 UTC Comment hidden (obsolete)
Comment 47 Gerold Jens Wucherpfennig 2014-10-24 20:35:25 UTC
I tested LibreOffice 4.2.6.3 on Arch Linux. The bug is still present.

1. I started Inkscape, wrote a few words, saved the file and closed Inkscape.

2. I started LibreOffice, opened the svg-file, no text is visible!
Comment 48 Maarten Hoes 2015-02-02 09:33:29 UTC
I can reproduce this error (no text displayed when opening the 1st attachment 'bugtest.svg') on Windows 8.1, with LibreOffice: 
'libo-master~2015-02-01_13.19.39_LibreOfficeDev_4.5.0.0.alpha0_Win_x86.msi' 
Build ID: 'bfceafa67ed1cc3e4e03f8f214a2716f57b2d1e7'.
Comment 49 bugzilla 2015-03-20 20:33:38 UTC
Problem is still present in LO 4.4.0.3 (Win 7)

If I export a simple DRAW page as SVG, then re-open the same SVG file in DRAW, all text has disappeared. I don't expect this to happen.

As a double check, if the SVG file is opened in Inkscape or Firefox, all text is visible (except rotated text is displayed horizontally as described in bug 57215). Shapes are ok.

To reproduce:
In DRAW:
1) Create a text box with sample text.
2) Fill the area with colour or assign line (to make more visible).
3) Copy/paste the text box and rotate through 90deg).
4) Export page as SVG.

Open the SVG file in Inkscape, DRAW, Firefox.
Observe text anomaly.
Comment 50 Jacques Guilleron 2015-03-23 11:18:24 UTC
*** Bug 90170 has been marked as a duplicate of this bug. ***
Comment 51 Frederic Parrenin 2015-06-18 02:16:32 UTC
I cannot reproduce the initial bug with LO 4.4.4.2 on ubuntu 14.04.
Comment 52 David Gerard 2015-06-19 07:33:09 UTC
Frederic Parrenin - did you open the SVG with File -> Open, per the reproduction instructions? Because I just did this with the very first attachment to this bug, in Version: 5.1.0.0.alpha1+ Build ID: f03f2489edfb02150a147e071a81b46c5c27c606 built from git master, and it's still happening for me.
Comment 53 Jacobo Aragunde Pérez 2015-06-19 08:43:01 UTC
Version: 5.1.0.0.alpha1+
Build ID: 3090550b5297c86b63ba09ed1aa13bce4c0e5b70

Things seem to have improved, I tested another reproducer (opened icon-themes/galaxy/brand/flat_logo.svg from the repo), and it now shows text properly; it didn't in 4.4.3 and earlier.

Can anybody try the latest 4.4 and 5.0 branches? If it works there, we might have a regression in master.
Comment 54 Gerry 2015-06-19 09:09:06 UTC
I don't know whether it helps, but I tested the file from comment 5 and it still did not show the SVG text on FILEOPEN.

LibreOffice Version: 4.4.2.2
Build-ID: 40m0(Build:2), Ubuntu 15.04
Gebietsschema: de_DE

It would be really nice if LibreOffice is/can be improved to support SVG text on FILEOPEN. Thanks.
Comment 55 Frederic Parrenin 2015-06-19 17:35:07 UTC
Sorry, I read the bug description too quickly.
The bug is indeed still there if you try to open the svg file directly.
But there is no problem if you go to writer and import >
Comment 56 Frederic Parrenin 2015-06-19 17:45:23 UTC
I tested both 4.4.4.2 and 5.0.0.0beta3 on ubuntu 14.04 and the bug is still there.
Comment 57 Armin Le Grand 2015-11-03 16:13:11 UTC
Insert/from file works, D&D works, it's just direct opening. Showing the rulers and looking at the imported page size shows that something *is* imported, the ratio of the page corresponds to the SVG ratio in the

<svg
   xmlns:dc="http://purl.org/dc/elements/1.1/"
   xmlns:cc="http://creativecommons.org/ns#"
   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
   xmlns:svg="http://www.w3.org/2000/svg"
   xmlns="http://www.w3.org/2000/svg"
   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
   width="744.09448819"
   height="1052.3622047"
   id="svg2"
   version="1.1"
   inkscape:version="0.48+devel r9931"
   sodipodi:docname="New document 1">

statement. Looks as if the imported stuff is just lost somewhere.
Adding a small rectangle in inkscape (it's a inkscape svg including 'sodipodi' infos) makes the small rect load, but the text missing.
Creating just a test file wit a rect make the rect load correctly.
Loading the original test file shows an empty text box - all in all seems as if the text dimensions somehow get lost when loading in the described way...
Comment 58 Armin Le Grand 2015-11-04 11:43:04 UTC
Giving names to the methods:
(a) open a SVG directly in LO
(b) D&D/insert_graphic a SVG to LO

For (b) the result is a graphic object of type 'SVG' which e.g. can again be saved in original form, 'break' in draw objects and other.
For (a) this is very different - there is not a SdrObnject of type graphic, but for .e.g a simple rectangle in a SVG already a SdrObj of type rectangle.

Either for (a) SVG gets imported and already decomposed or some other form of SVG import takes place. Does anyone know more about that?
Comment 59 Armin Le Grand 2015-11-04 12:09:41 UTC
For (a) indeed not svgio is used, but filter/source/svg/svgreader.cxx which seems to be from Fridrich Strba around 2010 with more current fixes to it, too. Checked 'case XML_TEXT' in that file when importing the example file and it indeed creates a text bux, but empty (in line 1569).
Reason identified, but I do not know if that Svg-To-Odf (?) filter is used in this case by purpose, so someone else has to decide if the there currently evtl. broken text import has to be fixed or the import should be changed to use svgio.
Adding Fridrich to cc...
Comment 60 Armin Le Grand 2015-11-04 12:22:18 UTC
Adding myself to CC, too...
Comment 61 Julien Nabet 2015-11-04 13:14:32 UTC
(In reply to Armin Le Grand from comment #59)
> ...
> Either for (a) SVG gets imported and already decomposed or some other form
> of SVG import takes place. Does anyone know more about that?
I had started a thread some years ago about this:
http://nabble.documentfoundation.org/About-Svgreader-td4107050.html#a4107868

but Caolan just started a new one:
http://nabble.documentfoundation.org/Two-svg-import-filters-td4165248.html
Comment 62 Xisco Faulí 2015-12-01 10:12:37 UTC
The problem is that SVG filter doesn't handle <tspan> elements inside <text>. Update summary accordantly
Comment 63 Xisco Faulí 2015-12-01 10:14:46 UTC
*** Bug 72422 has been marked as a duplicate of this bug. ***
Comment 64 Xisco Faulí 2015-12-01 10:18:33 UTC
*** Bug 80616 has been marked as a duplicate of this bug. ***
Comment 65 Xisco Faulí 2015-12-01 11:08:56 UTC
*** Bug 78734 has been marked as a duplicate of this bug. ***
Comment 66 Xisco Faulí 2015-12-02 17:12:04 UTC
*** Bug 63676 has been marked as a duplicate of this bug. ***
Comment 67 Robinson Tryon (qubit) 2015-12-10 04:40:59 UTC Comment hidden (obsolete)
Comment 68 Xisco Faulí 2015-12-11 15:26:19 UTC
Commit sumitted to gerrit: https://gerrit.libreoffice.org/20642
Comment 69 Xisco Faulí 2015-12-11 15:27:48 UTC
commit sumitted to gerrit and waiting for review:
https://gerrit.libreoffice.org/20642
Comment 70 Commit Notification 2015-12-17 12:24:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc3eb865bd10e690dbf80f41277b062ac2253572

tdf#32248 SVG: first attempt to support tspan elements

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 David Gerard 2015-12-20 17:33:28 UTC
I just built master with Xisco's recent commit, and on my test SVG (a copy of https://upload.wikimedia.org/wikipedia/commons/f/fb/StarOffice_major_derivatives.svg ), the text labels are now present.
Comment 72 Xisco Faulí 2015-12-28 11:46:42 UTC
After dc3eb865bd10e690dbf80f41277b062ac2253572, tspans are imported into libreoffice, however, it still fails to import the tspan's position in some cases. Anyway, as this bug has become some long, I rather to close it and report the position problem with a different bug
Comment 73 V Stuart Foote 2015-12-29 17:07:27 UTC
@Xisco,

(In reply to Xisco Faulí from comment #72)
> After dc3eb865bd10e690dbf80f41277b062ac2253572, tspans are imported into
> libreoffice, however, it still fails to import the tspan's position in some
> cases. Anyway, as this bug has become some long, I rather to close it and
> report the position problem with a different bug

Yes, it is reasonable to close this and open a new BZ issue for the remaining issues with tspan positioning on import. Did you want to do that and assign to yourself? 

For QA housekeeping, use the filter:svgOpen keyword, and perhaps add it to "see also" here, as well as to bug 88277
Comment 74 V Stuart Foote 2016-04-07 04:20:02 UTC
*** Bug 99129 has been marked as a duplicate of this bug. ***
Comment 75 V Stuart Foote 2016-06-26 03:33:22 UTC
*** Bug 97091 has been marked as a duplicate of this bug. ***